Page MenuHomePhabricator

Create a mock for proposed "Who Wrote That" tool design
Closed, ResolvedPublic

Description

This task is for @Prtksxna to create a mock to demonstrate the proposed "who wrote that" tool features and design. This will be used for asking community for their input on the proposed features and design.

Requirements:

  • Highlighted piece of text on a page with a pop-up over it containing the author name (links to their page) and timestamp (links to revision).
  • Easy to read. Accessible colors.
  • WhoColor activation button/link

Event Timeline

Niharika triaged this task as Normal priority.Feb 4 2019, 6:06 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 4 2019, 6:06 PM

@Prtksxna Can you give me an ETA on this? I'm stalled on this for talking about the project with the community. I won't be able to convey anything without a mock.

Would 15 February be alright? Let me know if you'll need it sooner 🙂

These are the mocks that I've been working on:

NOTE: The mocks are conceptual. This isn't going to be the visual design. They'll be refined after rounds of feedback from product, communities and design team.
InstallationActivationHoverClickPopup
A small popup should show after the extension is installed to help people understand how to use the toolThe link to the tool will be in the tools sidebar along with other similar tools.After activating the tool, when one hovers over a word, all contributions of the author of that word will be highlighted.On clicking the word, a popup will be attached to it giving details about the contribution and the contributor.The popup will have information and links for people to take quick action. I am also working on a more detailed popup with more info.
aezell added a subscriber: aezell.Feb 15 2019, 2:37 PM

If we share these on-wiki but then go with a solution like a browser extension, is that going to be a confusing shift?

If we share these on-wiki but then go with a solution like a browser extension, is that going to be a confusing shift?

I only intend to share the fourth mock ("Click") on the wiki. That one is independent of the implementation we decide on.

If we share these on-wiki but then go with a solution like a browser extension, is that going to be a confusing shift?

I am not sure if I understand this correctly, but even if we go with a browser extension we should still be able to add links on the wiki and have the sam interactions. Am I understanding this correctly?

Niharika closed this task as Resolved.Jun 26 2019, 11:03 PM
Niharika moved this task from Backlog to Done on the Who-Wrote-That board.